## ros-one-robot-body-filter 1.3.2-2jammy.20251023.1620

=== debian/changelog ===
ros-one-robot-body-filter (1.3.2-2jammy.20251023.1620) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 16:20:06 +0000

ros-one-robot-body-filter (1.3.2-0jammy) jammy; urgency=high

  * Do not segfault when a mesh resource is not found.
  * Added full_example.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 22 Jan 2024 00:00:00 -0000

ros-one-robot-body-filter (1.3.1-0jammy) jammy; urgency=high

  * Explicitly specify minimum versions of required libraries.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 14 Jul 2023 00:00:00 -0000

ros-one-robot-body-filter (1.3.0-0jammy) jammy; urgency=high

  * Removed local implementation of oriented bounding boxes in favor of geometric_shapes/obb. **This change breaks API and ABI**, but I hope nobody explicitly used the OBB part of this library. This change requires geometric_shapes version 0.6.6+ (Melodic) or 0.7.5+ (Noetic) (released April 2023).
  * Add example launch & config for ease of use. Thanks Doan Nguyen for the contribution!
  * Changed xmlrpc_traits variables to constexpr static instead of inline static to decrease the required C++ language standard for this part. Changed stringType from std::string to const char*.
  * Improved xmlrpc_traits to recognize more types of valid structures.
  * Make filter_utils FilterBase::getParamVerbose() methods const.
    Allowed by https://github.com/ros/filters/pull/35 (released in Melodic filters 1.8.2 (October 2021) and Noetic filters 1.9.1 (September 2021)).
  * Contributors: Doan Nguyen, Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Apr 2023 00:00:00 -0000

ros-one-robot-body-filter (1.2.2-0jammy) jammy; urgency=high

  * Change ROS_WARN to ROS_INFO when loading a value of an undefined parameter
  * Add link to the youtube tutorial
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 25 Aug 2021 00:00:00 -0000

ros-one-robot-body-filter (1.2.1-0jammy) jammy; urgency=high

  * Merge pull request #15 <https://github.com/peci1/robot_body_filter/issues/15> from universal-field-robots/master
    TFFramesWatchdog and RayCastingShapeMask need to be installed in the CMakeLists.txt
  * Added RayCastingShapeMask and TFFramesWatchdog to install targets in cmake
  * Contributors: Josh Owen, Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Aug 2021 00:00:00 -0000

ros-one-robot-body-filter (1.2.0-0jammy) jammy; urgency=high

  * Merge pull request #11 <https://github.com/peci1/robot_body_filter/issues/11> from peci1/correct-pointcloud-transforms
    Add possibility to specify pointcloud channels that should be transformed together with positional data.
  * Merge pull request #14 <https://github.com/peci1/robot_body_filter/issues/14> from peci1/per_link_scaling
    Add support for scaling/padding each link differently
  * Short-circuit classification of NaN points.
  * Warn about missing collision elements only for non-ignored links and only if they have at least one visual.
  * Fixed bounding shapes computation
  * Added filter/max_shadow_distance for great performance increase
  * Added possibility to scale/pad collisions separately for computation of bounding box and sphere.
  * Unique-ify test target name to allow building with geometric_shapes.
  * Use correct Eigen allocator.
  * Reflected the newly added support for non-uniformly scaled meshes.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 30 Jul 2021 00:00:00 -0000

ros-one-robot-body-filter (1.1.9-0jammy) jammy; urgency=high

  * Compatibility with Noetic.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 17 Apr 2021 00:00:00 -0000

ros-one-robot-body-filter (1.1.8-0jammy) jammy; urgency=high

  * Fixed typo.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 06 Apr 2020 00:00:00 -0000

ros-one-robot-body-filter (1.1.7-0jammy) jammy; urgency=high

  * When sensor frame is empty (autodetected), do not add it as initial monitored frame to watchdog.
  * Added configuration examples.
  * Make sure use_sim_time is set to false for tests.
  * Fixed computation of pointcloud without local bounding box.
  * Added tests for RobotBodyFilter.
  * No longer require the index pointcloud field in computeMask(), as it is not used anywhere.
  * Surprise! CropBox::setTransform() doesn't set transform of the cropbox, but instead a transform of the points. Fixed that.
  * Fixed copy-paste bug in bounding sphere publisher.
  * Fix incorrect usage of fixed frame at many places (substituted with filtering frame).
  * Make sure orientation.w = 1 is set in all published markers.
  * Correctly exclude the ignored bounding shapes from the published markers and shapes.
  * Make sure the published bounding shapes are computed as they appear at the time of the beginning of the scan.
  * Fix getShapeTransform() to correctly interpolate between before- and after-scan times. The logic was twisted, so with cacheLookupBetweenScansRation was zero, it returned the transform after scan.
  * Fix copy-paste bug in transform cache.
  * Make use of the newly optional scanFrame argument of computeMask()
  * Prevent division by zero in point-by-point scans with zero duration (which is weird, but well...)
  * Only compute sensor->filtering transform for all-at-once scans, because point-by-point scans have viewpoints instead.
  * Reworked how TFFramesWatchdog is initialized to allow easier reconfiguring of the filter.
  * Added RobotBodyFilter::failWithoutRobotDescription which aids in tests.
  * Clarified documentation of RobotBodyFilter regarding frames.
  * Add TFFramesWatchdog::isRunning().
  * Workaround PCL 1.8 ignoring CropBox::setKeepOrganized().
  * Added tests for filter utils.
  * Improved filter_utils documentation.

