## ros-one-robot-body-filter 1.3.2-2jammy.20251208.0919

=== debian/changelog ===
ros-one-robot-body-filter (1.3.2-2jammy.20251208.0919) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 08 Dec 2025 09:19:39 +0000
