## ros-one-robot-body-filter 1.3.2-2jammy.20260128.2238

=== debian/changelog ===
ros-one-robot-body-filter (1.3.2-2jammy.20260128.2238) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 22:38:40 +0000
