## ros-one-robot-body-filter 1.3.2-2jammy.20260301.2231

=== debian/changelog ===
ros-one-robot-body-filter (1.3.2-2jammy.20260301.2231) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 01 Mar 2026 22:31:58 +0000
