## ros-one-robot-body-filter 1.3.2-2noble.20251208.1555

=== debian/changelog ===
ros-one-robot-body-filter (1.3.2-2noble.20251208.1555) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 08 Dec 2025 15:55:19 +0000
