## ros-one-robot-body-filter 1.3.2-2noble.20260128.2252

=== debian/changelog ===
ros-one-robot-body-filter (1.3.2-2noble.20260128.2252) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 22:52:41 +0000
