=== debian/control ===
Source: ros-one-robot-body-filter
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), libfcl-dev, libpcl-dev, pkg-config, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-filters (>= 1.8.2), ros-one-geometric-shapes (>= 0.6.6), ros-one-geometry-msgs, ros-one-laser-geometry, ros-one-message-generation, ros-one-moveit-core, ros-one-moveit-ros-perception, ros-one-pcl-conversions, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-ros, ros-one-tf2-sensor-msgs, ros-one-urdf, ros-one-visualization-msgs
Homepage: https://github.com/peci1/robot_body_filter
Standards-Version: 3.9.2

Package: ros-one-robot-body-filter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfcl-dev, libpcl-dev, ros-one-dynamic-reconfigure, ros-one-filters (>= 1.8.2), ros-one-geometric-shapes (>= 0.6.6), ros-one-geometry-msgs, ros-one-laser-geometry, ros-one-message-runtime, ros-one-moveit-core, ros-one-moveit-ros-perception, ros-one-pcl-conversions, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf2, ros-one-tf2-ros, ros-one-urdf, ros-one-visualization-msgs
Description: Filters the robot's body out of laser scans or point clouds.
